package domain

import (
	"time"
	"errors"
)

type UserAgent struct {
	ID   int64
	Name string
	LastSeen time.Time
	AllowanceDuration time.Duration
	FileQuota FileSizeQuota
}

type BogFile struct {
	UserAgentId int64
	Path string
	Size int64
	CreatedAt time.Time
}

var (
	ErrDuplicate    = errors.New("record already exists")
	ErrExceedQuota  = errors.New("file too large")
	ErrNotExists    = errors.New("row not exists")
	ErrUpdateFailed = errors.New("update failed")
	ErrDeleteFailed = errors.New("delete failed")
)
